curl --request GET \
--url https://api.zenskar.com/custom_attributes \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/custom_attributes"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
"<unknown>"
],
"next": "V2VsbCBhcmV1IGN1cmlvdxM=",
"previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List custom attribute definitions
List custom attribute definitions for an organisation. If module is provided, returns definitions for that specific module. If business_entity_id is provided, returns org defaults with business entity overrides. Business entity overrides take precedence over org defaults for the same attribute.
Authorizations
Query Parameters
customers, products, contracts, plans, invoices, payments "name=john"
The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response
"V2VsbCBhcmV1IGN1cmlvdxM="
The number of results to return - defaults to 10
1 <= x <= 999910
Sort by field with - prefix for descending (e.g. -created_at, +display_name). Valid fields: id, attribute_key_name, display_name, data_type, is_tag, is_enabled, is_required, sort_order, created_at, updated_at
STRING, INTEGER, FLOAT, BOOLEAN, LIST_STRING, ENUM, JSON, DATE Response
Successful Response
results: The results of the query of size limit next: The cursor to use to get the next set of results previous: The cursor to use to get the previous set of results